Enable a named stream Experimental; Added in 9.1.0

POST /_streams/{name}/_enable

Turn on the named stream feature for this cluster.

NOTE: To protect existing data, this feature can be turned on only if the cluster does not have existing indices or data streams that match the pattern <name>|<name>.* for the enabled stream type name. If those indices or data streams exist, a 409 - Conflict response and error is returned.

Required authorization

  • Cluster privileges: manage

Path parameters

  • name string Required

    The stream type to enable.

    Supported values include:

    • logs: The logs stream type.
    • logs.otel: The logs.otel stream type, meant for OTel-formatted data.
    • logs.ecs: The logs.ecs stream type, meant for ECS-formatted data.

    Values are logs, logs.otel, or logs.ecs.

Query parameters

  • master_timeout string

    The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

    Default value is 30s.

  • timeout string

    The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

    Default value is 30s.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • acknowledged boolean Required

      For a successful response, this value is always true. On failure, an exception is returned instead.

  • 409 application/json

    An index named logs.otel, or starting with logs.otel., already exists.

    Hide response attributes Show response attributes object
    • error object Required

      Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

      Hide error attributes Show error attributes object
      • type string Required

        The type of error

      • reason string | null

        A human-readable explanation of the error, in English.

      • stack_trace string

        The server stack trace. Present only if the error_trace=true parameter was sent with the request.

      • caused_by object

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

      • root_cause array[object]

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

      • suppressed array[object]

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

        Cause and details about a request failure. This class defines the properties common to all error types. Additional details are also provided, that depend on the error type.

    • status number Required
POST /_streams/{name}/_enable
POST _streams/logs.otel/_enable
resp = client.streams.logs_enable(
    name="logs.otel",
)
const response = await client.streams.logsEnable({
  name: "logs.otel",
});
response = client.streams.logs_enable(
  name: "logs.otel"
)
$resp = $client->streams()->logsEnable([
    "name" => "logs.otel",
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_streams/logs.otel/_enable"
var response = await client.Streams.LogsEnableAsync(name: StreamType.LogsOtel);
client.streams().logsEnable(l -> l);
Response examples (200)
A successful response from `POST _streams/logs.otel/_enable` endpoint
{
  "acknowledged": true
}
Response examples (409)
An error response from the `POST _streams/logs.otel/_enable` endpoint caused by attempting to enable logs.otel streams when an existing index with the name `logs.otel` already exists
{
  "error": {
    "root_cause": [
      {
        "type": "status_exception",
        "reason": "Cannot enable logs.otel streams: indices named 'logs.otel' or starting with 'logs.otel.' already exist."
      }
    ],
    "type": "status_exception",
    "reason": "Cannot enable logs streams: indices named 'logs.otel' or starting with 'logs.otel.' already exist."
  },
  "status": 409
}